Package com.sun.jna.platform.win32

# Class Wininet.INTERNET_CACHE_ENTRY_INFO.UNION

java.lang.Object
com.sun.jna.Structure
com.sun.jna.Union
com.sun.jna.platform.win32.Wininet.INTERNET_CACHE_ENTRY_INFO.UNION

Enclosing class:
  Wininet.INTERNET_CACHE_ENTRY_INFO

public static class Wininet.INTERNET_CACHE_ENTRY_INFO.UNION extends Union
A union of the last two distinct fields in INTERNET_CACHE_ENTRY_INFO

                 union {
                     DWORD dwReserved;
                     DWORD dwExemptDelta;
                 };

## Nested Class Summary

## Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`dwExemptDelta`
Exemption time from the last accessed time, in seconds.
`int`
`dwReserved`
Reserved.

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

## Constructor Summary

Constructors
Constructor
Description
`UNION()`

## Method Summary

### Methods inherited from class com.sun.jna.Union

`getFieldOrder, getNativeAlignment, getTypedValue, readField, readField, setType, setType, setTypedValue, writeField, writeField, writeField`

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### dwReserved

public int dwReserved
Reserved. Must be zero.

### dwExemptDelta

public int dwExemptDelta
Exemption time from the last accessed time, in seconds.

## Constructor Details

### UNION

public UNION()